curl
curl -i -X GET \
'https://api.goshippo.com/v2/addresses/{address_id}' \
-H 'Authorization: ShippoToken <API_TOKEN>'import requests
url = "https://api.goshippo.com/v2/addresses/{address_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/v2/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e9f1f6fd20f84982afe471ff06c5a80f",
"address": {
"name": "Wilson",
"address_line_1": "731 Market Street",
"country_code": "US",
"email": "user@shippo.com",
"phone": "+1-4155550132",
"organization": "Shippo",
"address_line_2": "#200",
"city_locality": "San Francisco",
"state_province": "CA",
"postal_code": "94103",
"address_type": "residential"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "Not Found"
}{
"trace_id": "b562cab2e9200ac3e11474cc877580e1",
"message": "Internal Server Error"
}Address Book
Retrieve a single address
Returns an existing address using an object ID
GET
/
v2
/
addresses
/
{address_id}
curl
curl -i -X GET \
'https://api.goshippo.com/v2/addresses/{address_id}' \
-H 'Authorization: ShippoToken <API_TOKEN>'import requests
url = "https://api.goshippo.com/v2/addresses/{address_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/v2/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e9f1f6fd20f84982afe471ff06c5a80f",
"address": {
"name": "Wilson",
"address_line_1": "731 Market Street",
"country_code": "US",
"email": "user@shippo.com",
"phone": "+1-4155550132",
"organization": "Shippo",
"address_line_2": "#200",
"city_locality": "San Francisco",
"state_province": "CA",
"postal_code": "94103",
"address_type": "residential"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "Not Found"
}{
"trace_id": "b562cab2e9200ac3e11474cc877580e1",
"message": "Internal Server Error"
}Authorizations
Enter your shippo token with the ShippoToken prefix.
Example: ShippoToken shippo_live_xxxx
Path Parameters
Was this page helpful?
⌘I